<?php

namespace Edoobox\Base;

class Timezone {

    public function register() {
        try {
            if (ini_get('date.timezone')) {
                return;
            }
            $timezone = Options::get('timezone_string');
            if ($timezone && in_array($timezone, \DateTimeZone::listIdentifiers())) {
                date_default_timezone_set($timezone);
            } else {
                date_default_timezone_set('Europe/Zurich');
            }
        } catch (\Exception $e) {
            date_default_timezone_set('Europe/Zurich');
            error_log('Zeitzonenfehler: ' . $e->getMessage());
        }
    }

}